Name: opaconfig
Version: 10.9.3.1
Release: 1
Summary: Intel Omni-Path Installation configuration tool.

Group: System Environment/Libraries
License: GPLv2/BSD
Url: http://www.intel.com
Source: %{name}-%{version}-%{release}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReq: no
Requires: perl

%description
Configures the Intel OPA Fabric Suite FastFabric

%prep
%setup -q -c

%install
mkdir -p $RPM_BUILD_ROOT/sbin
cp -t $RPM_BUILD_ROOT/sbin opaconfig
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/opa
install -m 0644 version_wrapper $RPM_BUILD_ROOT%{_sysconfdir}/opa/version_wrapper
install -d $RPM_BUILD_ROOT%{_mandir}/man1
cp -t $RPM_BUILD_ROOT%{_mandir}/man1 opaconfig.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/sbin/opaconfig
%{_sysconfdir}/opa/version_wrapper
%{_mandir}/man1/opaconfig.1.gz

%changelog
* Thu Mar 29 2018 Jijun Wang <jijun.wang@intel.com>
- Removed folder /opt/iba

* Wed Jun 14 2017 Roberto Salome <roberto.salome@intel.com>
- Added version_wrapper and files

* Tue May 23 2017 David Gonzalez <david1.gonzalez@intel.com>
- Initial release
